#version 150

uniform vec3 lightPos0, lightPos1;
uniform vec4 drawColor;
uniform mat3 normalMatrix;
uniform mat4 modelViewMatrix, projectionMatrix;
uniform sampler2D tex;

in vec2 v_texCoord;
in vec3 v_lightDir, v_normal;
in vec4 v_modelViewPos, v_color;

out vec4 outColor;

uniform int passNum;
uniform float ratio;
uniform float blurSize;

//const float blurSize = 1.0 / 512.0;
//float blurSize = 1.0 / 400.0;
float w[4];
float b[4];
const int s = 4;
void hor(void) {
	vec4 sum = texture(tex, vec2(v_texCoord.s, v_texCoord.t)) * w[0];
	for(int i=1;i<s;++i){
		sum +=  texture(tex, vec2(v_texCoord.s + ratio * b[i] * blurSize, v_texCoord.t)) * w[i];
		sum +=  texture(tex, vec2(v_texCoord.s - ratio * b[i] * blurSize, v_texCoord.t)) * w[i];
	}

	outColor = sum;
}

void ver(void) {
	vec4 sum = texture(tex, vec2(v_texCoord.s, v_texCoord.t)) * w[0];
	for(int i=1;i<s;++i){
		sum += texture(tex, vec2(v_texCoord.s, v_texCoord.t + b[i] * blurSize)) * w[i];
		sum += texture(tex, vec2(v_texCoord.s, v_texCoord.t - b[i] * blurSize)) * w[i];
	}

	outColor = sum;
}

void main(void) {
	
	//w[0]=0.2734;
	//w[1]=0.2188;
	//w[2]=0.1094;
	//w[3]=0.0313;
	//w[4]=0.0039;
	
	/*
	w[0]=0.2270270270;
	w[1]=0.3162162162;
	w[2]=0.0702702703;
	b[0]=0.0;
	b[1]=1.3846153846;
	b[2]=3.2307692308;
	*/
	w[0]=0.2098569157;
	w[1]=0.3060413355;
	w[2]=0.0834658188;
	w[3]=0.0055643879;
	b[0]=0.0;
	b[1]=1.4;
	b[2]=3.2666666667;
	b[3]=5.0;
	/*w[0]=0.3807;
	w[1]=0.2437;
	w[2]=0.0609;
	w[3]=0.0050;
	w[4]=0.0001;*/
	if (passNum == 0) {
		hor();
	} else {
		ver();
	}
	
	//outColor = texture2D(texture, vec2(v_texCoord.s, v_texCoord.t));
}