#version 150

uniform float time;
uniform float parallaxStrength;

in vec4 modelViewPos;
out vec4 outColor;

float snoise(vec3 v);

uniform float tileSize;
uniform float dislocation;
uniform vec4 drawColor;
uniform vec2 pos;

void main() {
    vec2 posAdjusted = pos * parallaxStrength + (modelViewPos.xy - pos);
    vec2 posDislocation = vec2(snoise(vec3(posAdjusted * 0.02, time * 0.1)), snoise(vec3(posAdjusted * 0.02, time * 0.1 + 1.0)));

    vec2 tilePosition = floor((posAdjusted + posDislocation * dislocation) / (tileSize)) * (tileSize);

    float v1 = snoise(vec3(tilePosition * 0.002, time * 0.1));
    float v2 = snoise(vec3(tilePosition * 0.01, time * 0.1));

    float value = 0.5 * (v1 + v2);

	outColor = vec4(drawColor.rgb, drawColor.a * value);
}