#version 150

uniform vec3 lightPos0, lightPos1;
uniform vec4 drawColor;
uniform mat3 normalMatrix;
uniform mat4 modelViewMatrix, projectionMatrix;
uniform sampler2D textureID;

in vec2 textureCoord;
in vec3 lightDir0, normal;
in vec4 modelViewPos, color;

out vec4 outColor;

vec4 computeLighting(vec4 modelViewPos, vec3 normal, vec3 lightDir, vec3 lightPos);

void main(void)
{
	// Get lighting
	vec4 lightValue = computeLighting(modelViewPos, normal, lightDir0, lightPos1);

    float s = max(abs(fract(modelViewPos.x/48.0)-0.5),abs(fract(modelViewPos.y/48.0)-0.5)) * 2;
    s = pow(s, 32) * 0.5 + 1.0;

	// Shade color
	outColor = texture(textureID, textureCoord) * lightValue * vec4(s,s,s,1.0);
}