#version 150

vec4 computeLighting(vec4 modelViewPos, vec3 normal, vec3 lightDir, vec3 lightPos)
{
	// Ambient light
	mediump float lightValue = 0.1;

	// Point light (infinite range)
	lightValue += max(0.0, 0.3 * dot(normal, lightDir));
	lightValue += max(0.0, 0.2 * dot(normal, vec3(lightDir.y, -lightDir.x, lightDir.z*2)));
	
	// 'Point light' (finite range)
	mediump float dist = length(lightPos.xy - modelViewPos.xy);
	lightValue += 4.0 / (4.0 + dist / 24.0);
		
	return vec4(lightValue*1.1, lightValue, lightValue + 0.05, 1.0);
}