#version 150
uniform sampler2D textureID, textureGlitch;
uniform highp int[24] map;

in vec2 textureCoord, position;
out vec4 outColor;

float getRandom(vec2 position)
{
	return fract(sin(dot(position, vec2(12.9898, 78.233)))* 43758.5453);
}

void main(void) {
	int row = map[int(position.y * 24.0)];
	int cell = (row >> int(position.x * 32.0)) & 1;
	float value = getRandom(textureCoord)*6.3;
	outColor = cell * texture(textureID, textureCoord + 0.05 * vec2(cos(value), sin(value))) + (1 - cell) * texture(textureID, textureCoord);
	outColor.a = 1.0;
}