#version 150

uniform vec3 lightPos0, lightPos1;
uniform vec4 drawColor;
uniform mat3 normalMatrix;
uniform mat4 modelViewMatrix, projectionMatrix;
uniform sampler2D tex;

in vec2 v_texCoord;
in vec3 v_lightDir, v_normal;
in vec4 v_modelViewPos, v_color;

out vec4 outColor;

in vec2 tmpPos;

void main(void)
{
	// 'Point light' (finite range)
	float dist = length(lightPos1.xy - tmpPos);
	float lightValue = 1.0 / (1.0 + dist / 512.0);	
	// Shade color
	lightValue = (-lightValue) * lightValue + (2 * lightValue); // 1.0 - (1.0 - lightValue)*(1.0 - lightValue)
    outColor = vec4(0.0, 0.0, 0.0, lightValue);
    
    //outColor = vec4(0.0, 0.0, 0.0, 1.0);
}
